javax.media.nativewindow

## Class DefaultGraphicsScreen

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsScreen

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsScreen

      public class DefaultGraphicsScreen
      extends Object
      implements Cloneable, AbstractGraphicsScreen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGraphicsScreen(AbstractGraphicsDevice device, int idx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static AbstractGraphicsScreen` | `createDefault(String type)`
    `AbstractGraphicsDevice` | `getDevice()` Return the device this graphics configuration is valid for
    `int` | `getIndex()` Returns the screen index this graphics screen is valid for
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultGraphicsScreen

          public DefaultGraphicsScreen(AbstractGraphicsDevice device,
                               int idx)

  - ### Method Detail

    - #### createDefault

          public static AbstractGraphicsScreen createDefault(String type)

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `AbstractGraphicsScreen`
      Overrides:
        `clone` in class `Object`

    - #### getDevice

          public AbstractGraphicsDevice getDevice()

      Description copied from interface: `AbstractGraphicsScreen`
      Return the device this graphics configuration is valid for
      Specified by:
        `getDevice` in interface `AbstractGraphicsScreen`

    - #### getIndex

          public int getIndex()

      Description copied from interface: `AbstractGraphicsScreen`
      Returns the screen index this graphics screen is valid for
      Specified by:
        `getIndex` in interface `AbstractGraphicsScreen`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.